using ComputersShopContracts.DI;
using ComputersShopContracts.StoragesContracts;
using ComputersShopDataBaseImplement.Implements;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopDataBaseImplement
{
	public class DatabaseImplementationExtension : IImplementationExtension
	{
		public int Priority => 2;

		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IClientStorage, ClientStorage>();
			DependencyManager.Instance.RegisterType<IComponentStorage, ComponentStorage>();
			DependencyManager.Instance.RegisterType<IImplementerStorage, ImplementerStorage>();
			DependencyManager.Instance.RegisterType<IMessageInfoStorage, MessageInfoStorage>();
			DependencyManager.Instance.RegisterType<IOrderStorage, OrderStorage>();
			DependencyManager.Instance.RegisterType<IComputerStorage, ComputerStorage>();
			DependencyManager.Instance.RegisterType<IBackUpInfo, BackUpInfo>();
		}
	}
}
